---
title: CSSPrimitiveValue.getRectValue()
slug: Web/API/CSSPrimitiveValue/getRectValue
tags:
  - API
  - CSSPrimitiveValue
  - Method
  - getRectValue
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>getRectValue()</strong></code> method of the {{domxref("CSSPrimitiveValue")}} interface is used to get a rect value. If this CSS value doesn't contain a rect value, a {{domxref("DOMException")}} is raised. Modification to the corresponding style property can be achieved using the {{domxref("Rect")}} interface.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>rectValue</var> = <var>cssPrimitiveValue</var>.getRectValue();</pre>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("Rect")}} object representing the rect value.</p>

<h3 id="Exceptions">Exceptions</h3>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col"><strong>Type</strong></th>
   <th scope="col"><strong>Description</strong></th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>DOMException</code></td>
   <td>An <code>INVALID_ACCESS_ERR</code> is raised if the CSS value doesn't contain a Rect value. (i.e. this is not <code>CSS_RECT</code>).</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<pre class="brush: js; highlight[3]">var cs = window.getComputedStyle(document.getElementById("clippedDiv"));
var cssValue = cs.getPropertyCSSValue("clip");
console.log(cssValue.getRectValue());</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSPrimitiveValue-getRectValue', 'CSSPrimitiveValue.getRectValue')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CSSPrimitiveValue.getRectValue")}}</p>
</div>
